FMTMSG(1)

NAME
fmtmsg - display a message in standard format

SYNOPSIS

fmtmsg [-a action] [-c class] [-l label] [-s severity] [-t tag] [-u subclass[,subclass[,...]]] [text]

DESCRIPTION
The fmtmsg command writes a message either to standard error, to /dev/console, or to both. The text argument specifies the actual message.

The following options are accepted:

-a action
    A hint to the user what to do to fix the situation. The action string is written in a second line following the actual message and is preceded by `TO FIX:'.

-c class
    A classification for the problem. May be one of `hard' for Hardware, `soft' for Software, or `firm' for Firmware.

-l label
    The label indicates which component issued the message, for example, the name of the command which invokes fmtmsg.

-s severity
    The severity argument may be one of `halt', `error', `warn', or `info'. It is printed immediately before the actual message.

-t tag
    An additional identifier for the message. It is written at the end of a second line following the actual message.

-u subclass[,subclass[,...]]
    A comma-separated list of strings that specifies the message destination, or gives further details about the message. Valid values for subclass are:
    appl | The message originates from an application.
    util | The message originates from a utility.
    opsys | The message originates from the operating system.
    recov | The problem is recoverable.
    nrecov | The problem is not recoverable.
    print | Print the message to standard error.
    console | Print the message to

Unless at least one of `-u print' or `-u console' is given, fmtmsg produces no output.